Json Configuration Loader
=========================
This is a cascading JSON configuration loader based off of the strategy pattern.

Example
-------
```dart
import 'package:json_config/json_config.dart';

main() {

  var config = new JsonConfig.fromMultiple([
    new JsonConfigPathSingleFile("./config/base.json"),
    new JsonConfigPathFlatDirectory("./config/flat"),
    new JsonConfigPathRecursiveDirectory("./config/recursive")
  ]);

  print(config.getOrElse("base", "didn't load  base"));
  print(config.getOrElse("flat1", "didn't load flat2"));
  print(config.getOrElse("flat2", "didn't load flat2"));
  print(config.getOrElse("beep", "didn't load beep"));
  print(config.getOrElse("bop", "didn't load bop"));
  print(config.getOrElse("boop", "didn't load boop"));
  print(config.getOrElse("nop", "didn't load nop"));

}
```