part of json_config;

class JsonConfigPathRecursiveDirectory extends JsonConfigPath {

  final String _path;

  JsonConfigPathRecursiveDirectory(this._path);

  Dictionary load() {
    var directory = new Directory(this._path);
    var files     = directory.listSync(recursive:true);
    return files.fold(new Dictionary(), (memo, v) {
      if (v.path.endsWith('.json')) {
        var file     = new File(v.path);
        var contents = file.readAsStringSync();
        return memo.merge(new Dictionary.fromMap(parse(contents)));
      } else {
        return memo;
      }
    });
  }

}